Pre-release — content may change.

Organizations

Update an organization

PATCH
/organizations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Organization UUID.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "data": {      "type": "organizations",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "attributes": {}    }  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "organizations",    "attributes": {      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",      "alternate_name": "string",      "alternate_name_en": "string",      "alternate_name_fr": "string",      "alternate_name_es": "string",      "legal_name": "string",      "legal_name_en": "string",      "legal_name_fr": "string",      "legal_name_es": "string",      "description": "string",      "description_en": "string",      "description_fr": "string",      "description_es": "string",      "slug": "string",      "ancestry": "string",      "duns": "string",      "people_count": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "anonymized_at": "2019-08-24T14:15:22Z",      "membership_began_on": "2019-08-24",      "type": "string",      "status": "string",      "inheritable_from_parent": [        "string"      ],      "inherits_from_parent": {},      "identifying_number": 0,      "membership_status": "string",      "membership_in_grace": true,      "data": {},      "data_fields": [        {          "$schema": "string",          "key": "string",          "schema_slug": "string",          "version": 0,          "value": null,          "valid": true        }      ],      "is_primary_organization": true,      "assignable_role_names": [        "string"      ],      "type_external_id": "string",      "tags": [        "string"      ],      "segment_tags": [        "string"      ],      "manual_tags": [        "string"      ]    },    "relationships": {      "parent_organization": {        "data": {          "type": "organizations",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/parent_organization",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/parent_organization"        }      },      "root_organization": {        "data": {          "type": "organizations",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/root_organization",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/root_organization"        }      },      "child_organizations": {        "data": [          {            "type": "organizations",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/child_organizations",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/child_organizations"        }      },      "phones": {        "data": [          {            "type": "phones",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/phones",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/phones"        }      },      "emails": {        "data": [          {            "type": "emails",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/emails",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/emails"        }      },      "addresses": {        "data": [          {            "type": "addresses",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/addresses",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/addresses"        }      },      "web_addresses": {        "data": [          {            "type": "web_addresses",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/web_addresses",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/web_addresses"        }      },      "roles": {        "data": [          {            "type": "roles",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/roles",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/roles"        }      },      "json_schemas_available": {        "data": [          {            "type": "json_schemas",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/json_schemas_available",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/json_schemas_available"        }      },      "comments": {        "data": [          {            "type": "comments",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/comments",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/comments"        }      },      "pinned_comments": {        "data": [          {            "type": "comments",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/pinned_comments",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/pinned_comments"        }      },      "connections": {        "data": [          {            "type": "connections",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/connections",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/connections"        }      },      "archive_task": {        "data": {          "type": "resource_archive_tasks",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/archive_task",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/archive_task"        }      },      "membership_entries": {        "data": [          {            "type": "organization_memberships",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/membership_entries",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/membership_entries"        }      },      "service_identities": {        "data": [          {            "type": "service_identities",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/service_identities",          "related": "/organizations/7247ad7d-9275-454b-9e3a-0570e403739e/service_identities"        }      }    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}